commit:     b89c0052dec20343f015a87f6076c98e1d19c015
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 28 12:34:10 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 28 12:48:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b89c0052

dev-python/pytest-forked: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-forked/Manifest                  |  1 +
 .../pytest-forked/pytest-forked-1.3.0.ebuild       | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/pytest-forked/Manifest 
b/dev-python/pytest-forked/Manifest
index 05434d38073..e9962f0efc1 100644
--- a/dev-python/pytest-forked/Manifest
+++ b/dev-python/pytest-forked/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-forked-1.1.3.tar.gz 7308 BLAKE2B 
70711228a5a815de23cbd07b2b628e336a26ccecf420dc9d30d9e9b7ed33bc362b0ba74a8f90fb7cb8dc9e7e0f61d2ac22da55584a84e8ac3a26fcfc2878a802
 SHA512 
2086884b0e78841b3cdf8eb2b144b8fa60ba95e4be79bc58a2b5775a5f997dddef59377f7c993e54974fbbe13e73fe8688eed4d035e85293e35a143c5f0180f3
 DIST pytest-forked-1.2.0.tar.gz 9533 BLAKE2B 
f9762fd34ffa05eb0abe143388c9608563b0b3d8d5f8c6cbb2e5e36271f4625f10e573042e66d5be5f7f9e124cb5171e570e0d59f2bc1100d2d88ee54c9b4e9b
 SHA512 
d7ed2c36213cfb81988e84e370e0504add77fdb79d31aed4d7aabb73943042f860b4a3ca6c9aad7de5b11234631b1e0f66eb067fcb46079d2cc4ba53ef0cabfb
+DIST pytest-forked-1.3.0.tar.gz 9850 BLAKE2B 
cbe44d87052c5a3bc58934ac17153401810004aaa38b53ff3100384535cb2ea0fa99dada706113f324fa0a135ddbd9b97488319b4a9554d912388c341b62943c
 SHA512 
25d639aa43380155d7744f1d05a95e0144f5fe7dea42ff3c2bba3803a07d73b5eb008525469330c5dda14800fe4b611241691be197132f31f88f66930c3ecac0

diff --git a/dev-python/pytest-forked/pytest-forked-1.3.0.ebuild 
b/dev-python/pytest-forked/pytest-forked-1.3.0.ebuild
new file mode 100644
index 00000000000..8a7709a8662
--- /dev/null
+++ b/dev-python/pytest-forked/pytest-forked-1.3.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="run tests in isolated forked subprocesses"
+HOMEPAGE="https://pypi.org/project/pytest-forked/ 
https://github.com/pytest-dev/pytest-forked";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Please do not RDEPEND on pytest; this package won't do anything
+# without pytest installed, and there is no reason to force older
+# implementations on pytest.
+RDEPEND="
+       dev-python/py[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-3.10[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv -p no:flaky || die "Tests failed under ${EPYTHON}"
+}

Reply via email to